using Syntriax.Engine.Core;

namespace Syntriax.Engine.Physics2D;

/// <summary>
/// Represents a <see cref="IBehaviour"/> that listens to physics simulation update phase.
/// </summary>
public interface IPhysicsIteration : IBehaviour
{
    /// <summary>
    /// Iterates the physics state of the object based on the elapsed time since the last iteration.
    /// </summary>
    /// <param name="delta">The time elapsed since the last physics iteration.</param>
    void PhysicsIterate(float delta);
}
